package examples;

import modelling.MovingAgent;
import modelling.Selector;
import sema.World;
import sema.Area;



public class RandomGoalsAgent extends MovingAgent2{
    
    public RandomGoalsAgent(World world, Area area, float delay, java.awt.Image image, float radius, Selector s) {
        super(world, area, delay, image, 2,s);
        new MoveToRandomGoals(radius);	
    }
}
